OpenNMS API 1.2.9

## org.opennms.web.element
Class Node

    java.lang.Object
      org.opennms.web.element.Node

public class Node
extends java.lang.Object

Field Summary
`(package private) java.lang.String` `m_dpname`
`(package private) java.lang.String` `m_label`
`(package private) java.lang.String` `m_nodeCreateTime`
`(package private) int` `m_nodeId`
`(package private) int` `m_nodeParent`
`(package private) java.lang.String` `m_nodeSysContact`
`(package private) java.lang.String` `m_nodeSysDescr`
`(package private) java.lang.String` `m_nodeSysId`
`(package private) java.lang.String` `m_nodeSysLocn`
`(package private) java.lang.String` `m_nodeSysName`
`(package private) char` `m_nodeType`
`(package private) java.lang.String` `m_operatingSystem`

Constructor Summary
`(package private)` `Node()`
`(package private)` `Node(int nodeId, int nodeParent, java.lang.String label, java.lang.String dpname, java.lang.String nodeCreateTime, java.lang.String nodeSysId, java.lang.String nodeSysName, java.lang.String nodeSysDescr, java.lang.String nodeSysLocn, java.lang.String nodeSysContact, char nodeType, java.lang.String operatingSystem)`

Method Summary
`java.lang.String` `getDpName()`
`java.lang.String` `getLabel()`
`java.lang.String` `getNodeCreateTime()`
`int` `getNodeId()`
`int` `getNodeParent()`
`java.lang.String` `getNodeSysContact()`
`java.lang.String` `getNodeSysDescr()`
`java.lang.String` `getNodeSysId()`
`java.lang.String` `getNodeSysLocn()`
`java.lang.String` `getNodeSysName()`
`char` `getNodeType()`
`java.lang.String` `getOperatingSystem()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_nodeId

    int m_nodeId

### m_nodeParent

    int m_nodeParent

### m_label

    java.lang.String m_label

### m_dpname

    java.lang.String m_dpname

### m_nodeCreateTime

    java.lang.String m_nodeCreateTime

### m_nodeSysId

    java.lang.String m_nodeSysId

### m_nodeSysName

    java.lang.String m_nodeSysName

### m_nodeSysDescr

    java.lang.String m_nodeSysDescr

### m_nodeSysLocn

    java.lang.String m_nodeSysLocn

### m_nodeSysContact

    java.lang.String m_nodeSysContact

### m_nodeType

    char m_nodeType

### m_operatingSystem

    java.lang.String m_operatingSystem

Constructor Detail

### Node

    Node()

### Node

    Node(int nodeId,
         int nodeParent,
         java.lang.String label,
         java.lang.String dpname,
         java.lang.String nodeCreateTime,
         java.lang.String nodeSysId,
         java.lang.String nodeSysName,
         java.lang.String nodeSysDescr,
         java.lang.String nodeSysLocn,
         java.lang.String nodeSysContact,
         char nodeType,
         java.lang.String operatingSystem)

Method Detail

### getNodeId

    public int getNodeId()

### getNodeParent

    public int getNodeParent()

### getLabel

    public java.lang.String getLabel()

### getDpName

    public java.lang.String getDpName()

### getNodeCreateTime

    public java.lang.String getNodeCreateTime()

### getNodeSysId

    public java.lang.String getNodeSysId()

### getNodeSysName

    public java.lang.String getNodeSysName()

### getNodeSysDescr

    public java.lang.String getNodeSysDescr()

### getNodeSysLocn

    public java.lang.String getNodeSysLocn()

### getNodeSysContact

    public java.lang.String getNodeSysContact()

### getNodeType

    public char getNodeType()

### getOperatingSystem

    public java.lang.String getOperatingSystem()

### toString

    public java.lang.String toString()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.